<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Release Notes for Biquad audio software Library</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <link rel="stylesheet" href="../../../../../../../../../_htmresc/mini-st.css" />
  <!--[if lt IE 9]>
    <script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv-printshiv.min.js"></script>
  <![endif]-->
</head>
<body>
<div class="row">
<div class="col-sm-12 col-lg-4">
<div class="card fluid">
<div class="sectione dark">
<center>
<h1 id="release-notes-for-biquad-audio-software-library"><small>Release Notes for</small> <mark>Biquad audio software Library</mark></h1>
<p>Copyright © 2017 STMicroelectronics<br />
</p>
<a href="https://www.st.com" class="logo"><img src="../../../../../../../../../_htmresc/st_logo.png" alt="ST logo" /></a>
</center>
</div>
</div>
<h1 id="license">License</h1>
<p>Licensed under MCD-ST Image SW License Agreement V2, (the “License”); You may not use this package except in compliance with the License. You may obtain a copy of the License at: <a href="http://www.st.com/software_license_agreement_image_v2">http://www.st.com/software_license_agreement_image_v2</a></p>
<h1 id="purpose">Purpose</h1>
<p>The <strong>BIQ audio software Library</strong> is an optimized software implementation of a cascade of Infinite Impulse Response second order filters. The coefficients of each second order section (SOS) can be configured independently. The overall BIQ transfer function can thus be computed for many purposes: standard filter design such as low-pass, high-pass, notch, peak, high-shelf and low-shelf or arbitrary frequency response for transducer equalization. The current implementation is using a 32-bit resolution for the coefficient format, which allows extreme filter design (for example low-pass filter close to 0 Hz, high-pass filter close to Nyquist frequency).</p>
<p>This Library includes one header file biq_glo.h and binary/object codes running on all STM32 devices. The naming format is <strong>BIQ_CMx_C.a/.lib</strong>, where:</p>
<ul>
<li>CMx: CortexMx core class (CM4 and CM7)</li>
<li>C: Supported tool chains (IAR, Keil and GCC)</li>
</ul>
<p>The <strong>BIQ_32b_CMx_C.a/.lib</strong> libraries indicate that samples are 32 bits (rather then 16).</p>
<p>For more information about this Library, a document is under preparation and it will be available for download from STMicroelectronics website at <a href="http://www.st.com">www.st.com</a>.</p>
</div>
<div class="col-sm-12 col-lg-8">
<h1 id="update-history">Update History</h1>
<div class="collapse">
<input type="checkbox" id="collapse-section18" checked aria-hidden="true"> <label for="collapse-section18" aria-hidden="true">V1.0.2 / 15-October-2017</label>
<div>
<h2 id="main-changes">Main Changes</h2>
<ul>
<li>First official version on STM32F7, STM32F4 or STM32L4.</li>
</ul>
</div>
</div>
</div>
</div>
<footer class="sticky">
For complete documentation on <mark>STM32 Microcontrollers</mark> , visit: <a href="http://www.st.com/STM32">http://www.st.com/STM32</a>
</footer>
</body>
</html>
